Add language pairs
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceLanguages": [
"<string>"
],
"targetLanguages": [
"<string>"
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets"
payload = {
"sourceLanguages": ["<string>"],
"targetLanguages": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceLanguages: ['<string>'], targetLanguages: ['<string>']})
};
fetch('https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"priceSets": [
{
"minimumPrice": 123,
"prices": [
{
"price": 123,
"workflowStep": {
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
]
}Price List
Add language pairs
POST
/
api2
/
v1
/
priceLists
/
{priceListUid}
/
priceSets
Add language pairs
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the price list
Body
application/json
Language pairs to add
Response
Created
List of language pairs created in a price list
Language pairs created
Show child attributes
Show child attributes
Was this page helpful?
⌘I